<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form xmlns="http://www.ge.fr/schema/1.2/form-manager" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    id="group" 
    label="Recherche de l'utilisateur" 
    xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">
    <default>
        <data type="StringReadOnly" 
            mandatory="false" />
    </default>

    <group id="results" 
        label="Resultat">
        <description>Resultat de la recherche des utilisateurs.</description>
        <group id="ge" 
            label="guichet-entreprises.fr">
            <group id="input" 
                label="Rappel des éléments d'entrée." 
                fold="yes">
                <data id="url" 
                    label="Url du service." 
                    type="StringReadOnly" />
                <data id="idOrEmail" 
                    label="ID or Email" 
                    type="StringReadOnly" />
            </group>
            <group id="output" 
                label="Resultat de l'appel" 
                fold="yes">
                <data id="status" 
                    label="Statut de retour" 
                    type="StringReadOnly" />
                <data id="response" 
                    label="Message de retour" 
                    type="TextReadOnly" />
                <data id="found" 
                    type="RadiosBox">
                    <conftype>
                        <referential>
                            <text id="geok" 
                                icon="child">Utilisateur trouvé</text>
                        </referential>
                    </conftype>
                </data>
            </group>
            <group id="noresult" 
                label="Pas d'utilisateur" 
                if="!Value('id').of($ge.output.found).eq('geok')">
                <description>
                La recherche n'a pas permis de trouver un utilisateur.
                </description>
            </group>
            <group id="result" 
                label="Utilisateur trouvé" 
                if="Value('id').of($ge.output.found).eq('geok')">
                <data id="email" 
                    label="email" 
                    width="50%" />
                <data id="trackerId" 
                    label="ID" 
                    width="30%" />
                <data id="connectionDate" 
                    label="connectionDate" 
                    width="20%" />
                <data id="civility" 
                    label="civility" 
                    width="20%" />
                <data id="firstName" 
                    label="firstName" 
                    width="40%" />
                <data id="lastName" 
                    label="lastName" 
                    width="40%" />
                <data id="language" 
                    label="language" 
                    width="20%" />
                <data id="phone" 
                    label="phone" 
                    width="60%" />
                <data id="phoneCheck" 
                    label="phoneCheck" 
                    width="20%" />
                <!-- more details -->
                <data id="more" 
                    label="Plus de détails" 
                    type="BooleanCheckBox" />
                <data id="password" 
                    label="password" 
                    if="$ge.result.more" />
                <data id="fcId" 
                    label="fcId" 
                    if="$ge.result.more" />
                <data id="mailType" 
                    label="mailType" 
                    if="$ge.result.more" />
                <data id="referrerFirstName" 
                    label="referrerFirstName" 
                    if="$ge.result.more" />
                <data id="referrerLastName" 
                    label="referrerLastName" 
                    if="$ge.result.more" />
                <data id="oldEmail" 
                    label="oldEmail" 
                    if="$ge.result.more" />
                <data id="remove" 
                    type="RadiosBox">
                    <conftype>
                        <referential>
                            <text id="geremoveok" 
                                icon="user-times">Supprimer cet utilisateur</text>
                            <text id="geremovenok" 
                                icon="heart">NE PAS Supprimer cet utilisateur</text>
                        </referential>
                    </conftype>
                </data>
            </group>
        </group>
        <group id="gp" 
            label="guichet-partenaires.fr">
            <group id="input" 
                label="Rappel des éléments d'entrée." 
                fold="yes">
                <data id="url" 
                    label="Url du service." 
                    type="StringReadOnly" />
                <data id="idOrEmail" 
                    label="ID or Email" 
                    type="StringReadOnly" />
            </group>
            <group id="output" 
                label="Resultat de l'appel" 
                fold="yes">
                <data id="status" 
                    label="Statut de retour" 
                    type="StringReadOnly" />
                <data id="response" 
                    label="Message de retour" 
                    type="TextReadOnly" />
                <data id="found" 
                    type="RadiosBox">
                    <conftype>
                        <referential>
                            <text id="gpok" 
                                icon="child">Utilisateur trouvé</text>
                        </referential>
                    </conftype>
                </data>
            </group>
            <group id="noresult" 
                label="Pas d'utilisateur" 
                if="!Value('id').of($gp.output.found).eq('gpok')">
                <description>
                La recherche n'a pas permis de trouver un utilisateur.
                </description>
            </group>
            <group id="result" 
                label="Utilisateur trouvé" 
                if="Value('id').of($gp.output.found).eq('gpok')">
                <data id="email" 
                    label="email" 
                    width="50%" />
                <data id="trackerId" 
                    label="ID" 
                    width="30%" />
                <data id="connectionDate" 
                    label="connectionDate" 
                    width="20%" />
                <data id="civility" 
                    label="civility" 
                    width="20%" />
                <data id="firstName" 
                    label="firstName" 
                    width="40%" />
                <data id="lastName" 
                    label="lastName" 
                    width="40%" />
                <data id="language" 
                    label="language" 
                    width="20%" />
                <data id="phone" 
                    label="phone" 
                    width="60%" />
                <data id="phoneCheck" 
                    label="phoneCheck" 
                    width="20%" />
                <!-- more details -->
                <data id="more" 
                    label="Plus de détails" 
                    type="BooleanCheckBox" />
                <data id="password" 
                    label="password" 
                    if="$gp.result.more" />
                <data id="fcId" 
                    label="fcId" 
                    if="$gp.result.more" />
                <data id="mailType" 
                    label="mailType" 
                    if="$gp.result.more" />
                <data id="referrerFirstName" 
                    label="referrerFirstName" 
                    if="$gp.result.more" />
                <data id="referrerLastName" 
                    label="referrerLastName" 
                    if="$gp.result.more" />
                <data id="oldEmail" 
                    label="oldEmail" 
                    if="$gp.result.more" />
                <data id="remove" 
                    type="RadiosBox">
                    <conftype>
                        <referential>
                            <text id="gpremoveok" 
                                icon="user-times">Supprimer cet utilisateur</text>
                            <text id="gpremovenok" 
                                icon="heart">NE PAS Supprimer cet utilisateur</text>
                        </referential>
                    </conftype>
                </data>
            </group>

        </group>
        <group id="confirm" 
            label="confirmation de la suppression">
            <if><![CDATA[
                    (  (Value('id').of($gp.output.found).eq('gpok')) 
                       && Value('id').of($gp.result.remove).eq('gpremoveok'))
                    || 
                    (  (Value('id').of($ge.output.found).eq('geok')) 
                       && Value('id').of($ge.result.remove).eq('geremoveok'))
                ]]>            </if>
            <data id="yes" 
                label="Je confirme la demande de suppression" 
                type="BooleanCheckBox" 
                mandatory="true">
            </data>
        </group>
    </group>
</form>
